constraints-extras-0.4.0.2: Utility package for constraints

Safe Haskell | None
Language | Haskell2010

Data.Constraint.Extras.TH

Synopsis

- deriveArgDict :: Name -> Q [Dec]
- deriveArgDictV :: Name -> Q [Dec]
- gadtIndices :: Name -> [Con] -> Q [Either Type Type]

# Documentation

deriveArgDict :: Name -> Q [Dec] Source #

deriveArgDictV :: Name -> Q [Dec] Source #

Deprecated: Just use `deriveArgDict`

gadtIndices :: Name -> [Con] -> Q [Either Type Type] Source #